%bcond_with python_bootstrap
%bcond_with doc

%global pypi_name openstacksdk

Summary:        An SDK for building applications to work with OpenStack
Name:           python-%{pypi_name}
Version:        0.101.0
Release:        2%{?dist}
License:        ASL 2.0
URL:            http://www.openstack.org/
Source0:        https://pypi.io/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  git-core
BuildArch:      noarch

%description
A collection of libraries for building applications to work with OpenStack clouds.

%package -n python3-%{pypi_name}
Summary:       An SDK for building applications to work with OpenStack
BuildRequires: python3-devel python3-pbr python3-keystoneauth1
BuildRequires: python3-appdirs python3-requestsexceptions python3-munch python3-jmespath
BuildRequires: python3-jsonschema python3-os-service-types python3-iso8601 python3-jsonpatch python3-subunit
BuildRequires: python3-oslotest python3-oslo-config python3-stestr python3-importlib-metadata
BuildRequires: python3-mock python3-testrepository python3-testscenarios python3-testtools
BuildRequires: python3-requests-mock python3-dogpile-cache python3-ddt python3-decorator python3-netifaces
Requires: python3-cryptography python3-keystoneauth1 python3-pbr python3-appdirs python3-importlib-metadata
Requires: python3-requestsexceptions python3-munch python3-jmespath python3-iso8601 python3-jsonpatch
Requires: python3-os-service-types python3-dogpile-cache python3-decorator python3-netifaces python3-yaml

%description -n python3-%{pypi_name}
A collection of libraries for building applications to work with OpenStack clouds.

%if 0%{with doc}
%package -n python-%{pypi_name}-doc
Summary:        An SDK for building applications to work with OpenStack - documentation
BuildRequires:  python3-openstackdocstheme python3-sphinx

%description -n python-%{pypi_name}-doc
A collection of libraries for building applications to work with OpenStack
clouds - documentation.
%endif

%prep
%autosetup -n %{pypi_name}-%{version} -S git
rm -rf {,test-}requirements.txt
rm -f openstack/tests/unit/test_stats.py

%build
%{py3_build}

%if 0%{with doc}
sphinx-build-3 -b html doc/source html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%check
%if %{without python_bootstrap}
rm -f ./openstack/tests/unit/test_hacking.py
export OS_STDOUT_CAPTURE=true
export OS_STDERR_CAPTURE=true
export OS_TEST_TIMEOUT=20
PYTHON=python3 stestr-3 --test-path ./openstack/tests/unit run \
    --exclude-regex '(test_wait_for_task_.*|.*TestOsServiceTypesVersion.*|.*test_timeout_and_failures_not_fail.*)'
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/openstack-inventory
%{python3_sitelib}/openstack
%{python3_sitelib}/%{pypi_name}-*.egg-info

%if 0%{with doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc html
%endif

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.101.0-2
- Rebuilt for loongarch release

* Fri Sep 22 2023 Wang Guodong <gordonwwang@tencent.com> - 0.101.0-1
- Upgrade to version 0.101.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.55.0-6
- Rebuilt for python 3.11

* Fri Sep 15 2023 Shuo Wang <abushwang@tencent.com> - 0.55.0-5
- backport patch for test in python3.11

* Tue Sep 12 2023 Shuo Wang <abushwang@tencent.com> - 0.55.0-4
- add python_bootstrap to %check for python update

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.55.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.55.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Shuo Wang <abushwang@tencent.com> - 0.55.0-1
- initial build
